=== debian/changelog ===
ros-rolling-rosidl-generator-py (0.14.1-1focal) focal; urgency=high

  * Fix rosidl_generator_py assuming incorect library names (#149 <https://github.com/ros2/rosidl_python/issues/149>)
  * Fix for msg file containing a property field that is not at the end (#151 <https://github.com/ros2/rosidl_python/issues/151>)
  * Update package maintainers (#147 <https://github.com/ros2/rosidl_python/issues/147>)
  * Contributors: Chen Lihui, Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 13 Jan 2022 08:00:00 -0000

ros-rolling-rosidl-generator-py (0.14.0-1focal) focal; urgency=high

  * Use rosidl_get_typesupport_target() (#139 <https://github.com/ros2/rosidl_python/issues/139>)
  * Contributors: Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 11 Aug 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.13.0-1focal) focal; urgency=high

  * Support available typesupport specification in CLI extension (#133 <https://github.com/ros2/rosidl_python/issues/133>)
  * Use python_d for test_cli_extension in Debug mode (#136 <https://github.com/ros2/rosidl_python/issues/136>)
  * Add missing float/double bounds check (#128 <https://github.com/ros2/rosidl_python/issues/128>)
  * Contributors: Michel Hidalgo, Seulbae Kim, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 16 Jul 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.12.0-1focal) focal; urgency=high

  * Added optimization for copying arrays using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>)
  * Add smoke test for CLI extension (#132 <https://github.com/ros2/rosidl_python/issues/132>)
  * Install generated Python interfaces in a Python package (#131 <https://github.com/ros2/rosidl_python/issues/131>)
  * Contributors: Michel Hidalgo, ksuszka

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 11 Jun 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.11.0-1focal) focal; urgency=high

  * Remove dependency from rosidl_typesupport_connext_c (#127 <https://github.com/ros2/rosidl_python/issues/127>)
  * Contributors: Andrea Sorbini

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.10.0-1focal) focal; urgency=high

  * Expose Python code generation via rosidl generate CLI (#123 <https://github.com/ros2/rosidl_python/issues/123>)
  * remove maintainer (#126 <https://github.com/ros2/rosidl_python/issues/126>)
  * Contributors: Claire Wang, Michel Hidalgo

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.4-1focal) focal; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.3-1focal) focal; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Tue, 19 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.2-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Mon, 18 May 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.1-1focal) focal; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 Apr 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.9.0-1focal) focal; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)
  * Remove dependency on rmw_implementation (#102 <https://github.com/ros2/rosidl_python/issues/102>)
  * Added rosidl_runtime c and cpp depencencies (#100 <https://github.com/ros2/rosidl_python/issues/100>)
  * Move 'noqa: A003' for fields named like a builtin from property to method line (#101 <https://github.com/ros2/rosidl_python/issues/101>)
  * Add warnings for reserved Python keywords in interface members, services and actions (#96 <https://github.com/ros2/rosidl_python/issues/96>)
  * Code style only: wrap after open parenthesis if not in one line (#97 <https://github.com/ros2/rosidl_python/issues/97>)
  * Use f-string (#98 <https://github.com/ros2/rosidl_python/issues/98>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Samuel Lindgren

 -- Scott K Logan <scott@openrobotics.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.8.1-1focal) focal; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-rosidl-generator-py (0.8.0-1focal) focal; urgency=high


