=== debian/control ===
Source: ros-rolling-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-numpy, python3-pytest, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest, ros-rolling-ament-index-python, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-python-cmake-module, ros-rolling-rmw, ros-rolling-rosidl-cmake, ros-rolling-rosidl-generator-c, ros-rolling-rosidl-generator-cpp, ros-rolling-rosidl-parser, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rpyutils, ros-rolling-test-interface-files, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-rolling-ament-cmake, ros-rolling-ament-index-python, ros-rolling-python-cmake-module, ros-rolling-rmw, ros-rolling-rosidl-cli, ros-rolling-rosidl-cmake, ros-rolling-rosidl-generator-c, ros-rolling-rosidl-parser, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-interface, ros-rolling-rpyutils, ros-rolling-ros-workspace
Description: Generate the ROS interfaces in Python.
