## ros-rolling-rosidl-generator-py 0.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,6 @@
 
 ament_export_dependencies(ament_cmake)
 ament_export_dependencies(rmw)
-ament_export_dependencies(rosidl_cmake)
 
 ament_index_register_resource("rosidl_generator_packages")
 
@@ -56,6 +55,7 @@
     rosidl_generate_interfaces(${PROJECT_NAME}_custom
       ${test_interface_files_MSG_FILES}
       # Cases not covered by test_interface_files
+      msg/BuiltinTypeSequencesIdl.idl
       msg/StringArrays.msg
       msg/Property.msg
       ADD_LINTER_TESTS
