=== debian/control ===
Source: ros-rolling-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Dharini Dutia <dharini@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pytest <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-index-python <!nocheck>, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-python-cmake-module <!nocheck>, ros-rolling-rmw <!nocheck>, ros-rolling-rosidl-cmake <!nocheck>, ros-rolling-rosidl-generator-c <!nocheck>, ros-rolling-rosidl-generator-cpp <!nocheck>, ros-rolling-rosidl-parser <!nocheck>, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c <!nocheck>, ros-rolling-rosidl-typesupport-fastrtps-c <!nocheck>, ros-rolling-rosidl-typesupport-introspection-c <!nocheck>, ros-rolling-rpyutils <!nocheck>, ros-rolling-test-interface-files <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-rolling-ament-cmake, ros-rolling-ament-cmake-cppcheck, ros-rolling-ament-cmake-cpplint, ros-rolling-ament-cmake-flake8, ros-rolling-ament-cmake-pep257, ros-rolling-ament-cmake-uncrustify, ros-rolling-ament-index-python, ros-rolling-python-cmake-module, ros-rolling-rmw, ros-rolling-rosidl-cli, ros-rolling-rosidl-generator-c, ros-rolling-rosidl-parser, ros-rolling-rosidl-pycommon, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-interface, ros-rolling-rpyutils, ros-rolling-ros-workspace
Description: Generate the ROS interfaces in Python.
